function stabProp = BoundedEnvironmentStability(C,Z,s)

[h11 h12 h21 h22] = extractHybrid(Z,C,s);

Ze = Z{1};

besCrit = (h11.*h22-h12.*h21).*Ze./h11;

besCrit1 = imag(besCrit) > 0;
besCrit2 = abs(besCrit) > 1;
unst = (besCrit1 == 1 & besCrit2 == 1);
stabProp = ~unst;
    
end

   
    