




function [numZ,denZ,numC,denC] = fixDynamics(flag)
global data

Cvar = sort(cell2mat(data.dynamics.Cvar));
lengthCvar = length(Cvar);

n = length(data.dynamics.elements);
dyn = data.dynamics;
nZ = 4;

k = 1;
for i = 1:1:n
    if( i == 1 || i == 2 )
        % Fix to velocity Z = F/V
        if(dyn.(dyn.elements{i}).XorV == 1)
            numZ{i} = ['(',dyn.(dyn.elements{i}).Numerator,')'];
            denZ{i} = ['(',dyn.(dyn.elements{i}).Denominator,')*s'];
        else
            numZ{i} = ['(',dyn.(dyn.elements{i}).Numerator,')'];
            denZ{i} = ['(',dyn.(dyn.elements{i}).Denominator,')'];
        end
        numZ{i} = strrep(numZ{i},'*','.*');
        denZ{i} = strrep(denZ{i}, '*', '.*');
        numZ{i} = strrep(numZ{i},'/','./');
        denZ{i} = strrep(denZ{i}, '/', './');
        numZ{i} = strrep(numZ{i},'^','.^');
        denZ{i} = strrep(denZ{i}, '^', '.^');
    elseif(i == 3 || i == 4)
        if(dyn.(dyn.elements{i}).ZorTf == 1)
            numZ{i} = ['(',dyn.(dyn.elements{i}).Denominator,')'];
            denZ{i} = ['(',dyn.(dyn.elements{i}).Numerator,')'];
        else
            numZ{i} = ['(',dyn.(dyn.elements{i}).Numerator,')'];
            denZ{i} = ['(',dyn.(dyn.elements{i}).Denominator,')'];
        end
        if(dyn.(dyn.elements{i}).XorV == 2)
            numZ{i} = ['(',dyn.(dyn.elements{i}).Numerator,')*s'];
            denZ{i} = ['(',dyn.(dyn.elements{i}).Denominator,')'];
        end
        numZ{i} = strrep(numZ{i},'*','.*');
        denZ{i} = strrep(denZ{i}, '*', '.*');
        numZ{i} = strrep(numZ{i},'/','./');
        denZ{i} = strrep(denZ{i}, '/', './');
        numZ{i} = strrep(numZ{i},'^','.^');
        denZ{i} = strrep(denZ{i}, '^', '.^');
    else
        if(k <= lengthCvar)
            if(i-nZ == Cvar(k))
                if(flag == 1)
                    if(dyn.(dyn.elements{i}).otherControllerIndex == 1)
                        numOr = ['(',dyn.(dyn.elements{i}).Numerator,')'];
                        denOr = ['(',dyn.(dyn.elements{i}).Denominator,')'];
                        
                        numC{i-nZ} = strrep(numOr,dyn.(dyn.otherControllers{dyn.(dyn.elements{i}).otherController}).Numerator,'(variable)');
                        denC{i-nZ} = strrep(denOr,dyn.(dyn.otherControllers{dyn.(dyn.elements{i}).otherController}).Denominator,'1');
                    else
                        numC{i-nZ} = '(variable)';
                        denC{i-nZ} = '1';
                    end
                else
                    if(data.CurController == 1)
                        numC{i-nZ} = ['(',dyn.(dyn.elements{i}).Numerator,')'];
                        denC{i-nZ} = ['(',dyn.(dyn.elements{i}).Denominator,')'];
                    else
                        num = ['(',dyn.(dyn.elements{i}).Numerator,')'];                        
                        if(isnumeric(data.symController{data.CurController}))
                            numC{i-nZ} = strrep(num,dyn.(data.designcontrollers).Numerator,...
                                num2str(data.symController{data.CurController}));
                        else
                            numC{i-nZ} = strrep(num,dyn.(data.designcontrollers).Numerator,...
                                char((data.symController{data.CurController})));
                        end
                        denC{i-nZ} = num2str(1);
                    end
                end
                k = k + 1;
            else
                numC{i-nZ} = ['(',dyn.(dyn.elements{i}).Numerator,')'];
                denC{i-nZ} = ['(',dyn.(dyn.elements{i}).Denominator,')'];
            end
        else
            numC{i-nZ} = ['(',dyn.(dyn.elements{i}).Numerator,')'];
            denC{i-nZ} = ['(',dyn.(dyn.elements{i}).Denominator,')'];
        end
        numC{i-nZ} = strrep(numC{i-nZ},'*','.*');
        denC{i-nZ} = strrep(denC{i-nZ}, '*', '.*');
        numC{i-nZ} = strrep(numC{i-nZ},'/','./');
        denC{i-nZ} = strrep(denC{i-nZ}, '/', './');
        numC{i-nZ} = strrep(numC{i-nZ},'^','.^');
        denC{i-nZ} = strrep(denC{i-nZ}, '^', '.^');
    end
    
end