%%
%
%
%%

function initDefineDynamics(varargin)
global data

data.dynamics.temp.Name = 'Default';
data.dynamics.temp.Abbr = 'D';

data.dynamics.elements = {'Ze','Zh','Zs','Zm','C1','C2','C3','C4','C5','C6','Cs','Cm'};
n = length(data.dynamics.elements);

for i = 1:1:n
    data.dynamics.(data.dynamics.elements{i}).Numerator = '0';
    data.dynamics.(data.dynamics.elements{i}).Denominator = '1';
    data.dynamics.temp.(data.dynamics.elements{i}).Numerator = '0';
    data.dynamics.temp.(data.dynamics.elements{i}).Denominator = '1';
        
    if(i < 5)
        data.dynamics.(data.dynamics.elements{i}).ZorTf = 1;
        data.dynamics.(data.dynamics.elements{i}).XorV = 1;
        switch i
            case {1,2}
                data.dynamics.(data.dynamics.elements{i}).SortInput = strcat('s',data.dynamics.elements{i});
            case {3,4}
                data.dynamics.(data.dynamics.elements{i}).SortInput = strcat('1/s',data.dynamics.elements{i});
        end
    else
        data.dynamics.(data.dynamics.elements{i}).otherController = 1;
        data.dynamics.(data.dynamics.elements{i}).otherControllerIndex = 0;
        data.dynamics.temp.(data.dynamics.elements{i}).otherControllerIndex = 0;
        
        data.dynamics.otherControllers =...
            {'C1','C2','C3','C4','C5','C6','Cs','Cm'};
        data.dynamics.(data.dynamics.elements{i}).otherControllerString =...
            data.dynamics.otherControllers{data.dynamics.(data.dynamics.elements{i}).otherController};
        data.dynamics.(data.dynamics.elements{i}).SortInput = data.dynamics.elements{i};
    end
    
        
end

return

