



function plotLineOnFreq()
global data

Freq = data.parameters.Freq;

if(data.discretisation.unitsFreq.Value == 1)
    if(data.plot.unitsFreq.Value == 2)
        Freq = Freq.*2.*pi;
    end
else
    if(data.plot.unitsFreq.Value == 1)
        Freq = Freq./(2.*pi);
    end
end
try
    delete(data.plot.temp.linemag);
    delete(data.plot.temp.linephase)
catch
end

axes(data.handles.magnitudeplot)
data.plot.temp.linemag = line([Freq(data.parameters.plotFreq),Freq(data.parameters.plotFreq)],...
    [data.discretisation.minMag-10, data.discretisation.maxMag+10], 'Color','k');
axes(data.handles.phaseplot)
data.plot.temp.linephase = line([Freq(data.parameters.plotFreq),Freq(data.parameters.plotFreq)],...
    [data.discretisation.minPhase-10, data.discretisation.maxPhase+10], 'Color','k');

return